import React from 'react';
import { Button } from '../../components';
import { InfoOutlined } from '@mui/icons-material';

type Props = { dataAvailable: boolean };

export function NoData({ dataAvailable }: Props) {
  return (
    <div className="flex justify-center items-center h-full">
      <div className="max-w-lg mx-auto text-left">
        <p className="text-xl font-normal text-secondary-600">No data available to be shown</p>
        {dataAvailable ? (
          <p>Query resulted in empty dataset</p>
        ) : (
          <div>
            <p>Query for data to visualize</p>
            <Button
              variantType="primary"
              variant="outline"
              label="Learn how to query data"
              size="sm"
              iconComponent={<InfoOutlined />}
              onClick={() => window.open('https://graphpolaris.com', '_blank')}
            />
          </div>
        )}
      </div>
    </div>
  );
}
